Subject: Request: Pine build honouring SSLCERTS

From: Henrik Edlund <[email-masked]>
Date: Sun, 27 Jun 2004 15:54:03 +0200 (CEST)

It would be nice if the Pine build would honour the SSLCERTS parameters on 
the build line and use it internally for locating local certificates for 
verification. Now it just seems to be used in the build script to check if 
the directory exists and some other checks.

The IMAP server make honours the SSLCERTS parameters and uses it to locate 
certificates/keys.

Feels stupid to have to recompile OpenSSL just because I want Pine certs 
to be stored at a different location when it works so great for the IMAP 
servers with an alternate location.

Is there an easy way to patch this manually into Pine? I looked at the 
code but found no obvious way, so I thought I would ask around before I 
dig deeper into the Pine code.

>From imap/src/osdep/unix/Makefile:
   -DSSL_CERT_DIRECTORY=\"$(SSLCERTS)\" -DSSL_KEY_DIRECTORY=\"$(SSLKEYS)\"

Would it work just adding that to the CFLAGS when compiling Pine?
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------